Last Comment Bug 762546 - Intermittent mixed/mixed-dimentionA.html?border_parent | load failed: timed out waiting for reftest-wait to be removed
: Intermittent mixed/mixed-dimentionA.html?border_parent | load failed: timed o...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: mozilla16
Assigned To: :Ehsan Akhgari (busy, don't ask for review please)
:
Mentors:
Depends on:
Blocks: 157681 438871
  Show dependency treegraph
 
Reported: 2012-06-07 09:34 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (1.15 KB, patch)
2012-06-07 10:18 PDT, :Ehsan Akhgari (busy, don't ask for review please)
dbaron: review+
Details | Diff | Review

Description Ed Morley [:emorley] 2012-06-07 09:34:06 PDT
+++ This bug was initially created as a clone of Bug #761980 +++

Rev3 WINNT 5.1 mozilla-inbound debug test reftest on 2012-06-07 07:24:23 PDT for push c3a3ef4f4f2e

slave: talos-r3-xp-065

https://tbpl.mozilla.org/php/getParsedLog.php?id=12453887&tree=Mozilla-Inbound

{
REFTEST TEST-START | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA.html?border_parent | 5652 / 7982 (70%)
++DOMWINDOW == 90 (113107A0) [serial = 15099] [outer = 070D84E8]
JavaScript error: file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA.html?border_parent, line 20: child is null
--DOMWINDOW == 89 (0A055620) [serial = 15077] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 88 (099C8760) [serial = 15076] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightN-bottomA.html?padding_parent]
--DOMWINDOW == 87 (0A1CC138) [serial = 15075] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 86 (0A0F1E80) [serial = 15074] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 85 (09DF1A08) [serial = 15073] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 84 (098A3BA8) [serial = 15072] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightA-bottomA.html?padding_parent]
--DOMWINDOW == 83 (10FC9568) [serial = 15071] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 82 (0A011D60) [serial = 15070] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightA-bottomN-ref.html?padding_parent]
--DOMWINDOW == 81 (06258350) [serial = 15069] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 80 (078D92F0) [serial = 15068] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 79 (09B8A9C8) [serial = 15067] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomN-ref.html?padding_parent]
--DOMWINDOW == 78 (0A2F3F78) [serial = 15066] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomN.html?padding_parent]
--DOMWINDOW == 77 (0A9A45D0) [serial = 15065] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 76 (09FAFEE0) [serial = 15064] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightN-bottomA-ref.html?padding_parent]
--DOMWINDOW == 75 (09F4B408) [serial = 15063] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightN-bottomA.html?padding_parent]
--DOMWINDOW == 74 (0AC83060) [serial = 15062] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 73 (0A54B148) [serial = 15061] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomA-ref.html?padding_parent]
--DOMWINDOW == 72 (13B94C58) [serial = 15060] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomA.html?padding_parent]
--DOMWINDOW == 71 (09EAFF78) [serial = 15059] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 70 (071BD0B8) [serial = 15058] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightA-bottomN-ref.html?padding_parent]
--DOMWINDOW == 69 (09EBCC10) [serial = 15057] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 68 (135DF100) [serial = 15056] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 67 (0A164C30) [serial = 15055] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightA-bottomA-ref.html?padding_parent]
--DOMWINDOW == 66 (096EC840) [serial = 15054] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightA-bottomA.html?padding_parent]
--DOMWINDOW == 65 (094C78A0) [serial = 15053] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 64 (09E9BA58) [serial = 15052] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightA-bottomN-ref.html?padding_parent]
--DOMWINDOW == 63 (115E4BD8) [serial = 15051] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 62 (0A10B6D8) [serial = 15050] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 61 (077569A8) [serial = 15049] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightN-bottomN-ref.html?padding_parent]
--DOMWINDOW == 60 (0A2B3A70) [serial = 15048] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightN-bottomN.html?padding_parent]
--DOMWINDOW == 59 (0A1D0A60) [serial = 15047] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 58 (0A2B1F48) [serial = 15046] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightN-bottomA-ref.html?padding_parent]
--DOMWINDOW == 57 (09A22338) [serial = 15045] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightN-bottomA.html?padding_parent]
--DOMWINDOW == 56 (0A1A6EB8) [serial = 15044] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 55 (21563478) [serial = 15043] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightN-bottomA-ref.html?padding_parent]
--DOMWINDOW == 54 (09C14358) [serial = 15042] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topA-heightN-bottomA.html?padding_parent]
--DOMWINDOW == 53 (07B073A0) [serial = 15041] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 52 (0A3E6958) [serial = 15040] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightA-bottomN-ref.html?padding_parent]
--DOMWINDOW == 51 (09CB4780) [serial = 15039] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 50 (061FD5D8) [serial = 15038] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 49 (10BBB2A0) [serial = 15037] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightA-bottomA-ref.html?padding_parent]
--DOMWINDOW == 48 (07977E40) [serial = 15036] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/topN-heightA-bottomA.html?padding_parent]
--DOMWINDOW == 47 (0935A800) [serial = 15035] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 46 (2039D448) [serial = 15034] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightA-bottomN.html?padding_abspos]
--DOMWINDOW == 45 (07AAD200) [serial = 15033] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 44 (0ACDD928) [serial = 15032] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightN-bottomN.html?padding_abspos]
--DOMWINDOW == 43 (0981B028) [serial = 15031] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 42 (098C6A20) [serial = 15030] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightN-bottomA.html?padding_abspos]
--DOMWINDOW == 41 (09E64208) [serial = 15029] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 40 (0775E430) [serial = 15028] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightN-bottomA.html?padding_abspos]
--DOMWINDOW == 39 (09F95FD0) [serial = 15027] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 38 (05B2E000) [serial = 15026] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightA-bottomN.html?padding_abspos]
--DOMWINDOW == 37 (21A2B6E8) [serial = 15025] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 36 (09468A88) [serial = 15024] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightA-bottomA.html?padding_abspos]
--DOMWINDOW == 35 (09EF8C38) [serial = 15023] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 34 (07436A20) [serial = 15022] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightA-bottomN-ref.html?padding_abspos]
--DOMWINDOW == 33 (2181A160) [serial = 15021] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightA-bottomN.html?padding_abspos]
--DOMWINDOW == 32 (07DBAE00) [serial = 15020] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 31 (10D86558) [serial = 15019] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomN-ref.html?padding_abspos]
--DOMWINDOW == 30 (0A33BA38) [serial = 15018] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topA-heightN-bottomN.html?padding_abspos]
--DOMWINDOW == 29 (1422A778) [serial = 15017] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 28 (09D31960) [serial = 15016] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightN-bottomA-ref.html?padding_abspos]
--DOMWINDOW == 27 (09E9FCF8) [serial = 15015] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/toauto-topN-heightN-bottomA.html?padding_abspos]
--DOMWINDOW == 26 (2272CDF8) [serial = 15095] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 25 (099303E8) [serial = 15094] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA-ref.html?border_abspos]
--DOMWINDOW == 24 (074E50F8) [serial = 15093] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA.html?border_abspos]
--DOMWINDOW == 23 (09F1AB88) [serial = 15092] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 22 (072A0AA0) [serial = 15091] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionN-ref.html?border_abspos]
--DOMWINDOW == 21 (0A273600) [serial = 15090] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionN.html?border_abspos]
--DOMWINDOW == 20 (09C63250) [serial = 15089] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 19 (09EA7560) [serial = 15088] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA-ref.html]
--DOMWINDOW == 18 (0984E628) [serial = 15087] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA.html]
--DOMWINDOW == 17 (0A388008) [serial = 15086] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 16 (0A382A50) [serial = 15085] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionN-ref.html]
--DOMWINDOW == 15 (07570C78) [serial = 15084] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionN.html]
--DOMWINDOW == 14 (10DE80B0) [serial = 15083] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 13 (09C2DE98) [serial = 15082] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightA-bottomN.html?padding_parent]
--DOMWINDOW == 12 (11D92078) [serial = 15081] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 11 (09DD08E8) [serial = 15080] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topA-heightN-bottomN.html?padding_parent]
--DOMWINDOW == 10 (11C98B88) [serial = 15079] [outer = 00000000] [url = data:text/html,%3C%21%2D%2DCLEAR%2D%2D%3E]
--DOMWINDOW == 9 (0A1A99C8) [serial = 15078] [outer = 00000000] [url = file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/vertical/fromauto-topN-heightN-bottomA.html?padding_parent]
NOTE: child process received `Goodbye', closing down
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
nsStringStats
 => mAllocCount:            462
 => mReallocCount:            1
 => mFreeCount:             462
 => mShareCount:            131
 => mAdoptCount:              0
 => mAdoptFreeCount:          0
WARNING: 1 sort operation has occurred for the SQL statement '0x5a95938'.  See https://developer.mozilla.org/En/Storage/Warnings details.: file e:/builds/moz2_slave/m-in-w32-dbg/build/storage/src/mozStoragePrivateHelpers.cpp, line 110
REFTEST TEST-UNEXPECTED-FAIL | file:///C:/talos-slave/test/build/reftest/tests/layout/reftests/position-dynamic-changes/mixed/mixed-dimentionA.html?border_parent | load failed: timed out waiting for reftest-wait to be removed
}
Comment 1 :Ehsan Akhgari (busy, don't ask for review please) 2012-06-07 10:18:42 PDT
Created attachment 631028 [details] [diff] [review]
Patch (v1)

Ah, missed these two files the last time!
Comment 2 :Ehsan Akhgari (busy, don't ask for review please) 2012-06-07 13:59:39 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7d2d26d50f9c
Comment 3 Graeme McCutcheon [:graememcc] 2012-06-08 04:19:30 PDT
https://hg.mozilla.org/mozilla-central/rev/7d2d26d50f9c

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.